GNU bug report logs - #15284
wish: make the (name) field optional

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: wishlist; Reported by: arne_bab@HIDDEN; Keywords: patch; merged with #50349; dated Fri, 6 Sep 2013 09:07:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 15284 50349. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.
bug unarchived. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug archived. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 15284-done <at> debbugs.gnu.org:


Received: (at 15284-done) by debbugs.gnu.org; 16 Apr 2020 21:53:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 16 17:53:44 2020
Received: from localhost ([127.0.0.1]:39517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jPCS8-0001tx-AP
	for submit <at> debbugs.gnu.org; Thu, 16 Apr 2020 17:53:44 -0400
Received: from sender4-of-o53.zoho.com ([136.143.188.53]:21362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1jPCS5-0001tp-TT
 for 15284-done <at> debbugs.gnu.org; Thu, 16 Apr 2020 17:53:42 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1587074020; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=MBbuyB0GFHDlW3lap6jwwJy/DDj83/jpa18i+hkxOINiN/8J2E7I37V2KV17680V0fdQHv/E0mTL6a7vhJEzef0+FXS+8VUI/6w6qNN5blskzUCCa64xrXFbNPNpNjc9z6tIqDyeMGO858RqdLOxhAIYhPZzpYPLD8RLXOwLNfc=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1587074020;
 h=Content-Type:Content-Transfer-Encoding:Date:From:MIME-Version:Message-ID:Subject:To;
 bh=u7bQ9dAMKpQRGY0pXkPouIqPOkOQ03A2Ph+P9cgqTDQ=; 
 b=O3QPiQERCwxs88myZ1zA/cpmoTjuQ7q08gfsFgagST+JJeCet38iD395N1CZ93nDu9K3AgY5J0snCRl4Gig7qb8SmmoQ2dQ5rgYVyccUOQVLkqKZOqz6ugcnAVxLRDBwxE1yvknUAkD/l4watbBmBH7tT78D5ICNu8ESa+NO8RE=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1587074020; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=From:To:Subject:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=u7bQ9dAMKpQRGY0pXkPouIqPOkOQ03A2Ph+P9cgqTDQ=;
 b=TbsbFB9LPCaR/zbiQn1QCT7txRhfZabaLy4GsGNhiMj07AcgSkwasQ/Tfyo99H07
 l0fbfBznxWsP9z75zwy69+NPMbQ61N2BPYABtJMosyYtJIouVr9QnjnGULnNmWMWKdW
 PhjpRSAzo5yLG4hLurOSbRAa+GKkiElpQm4DdAfI=
Received: from localhost (p54AD4D27.dip0.t-ipconnect.de [84.173.77.39]) by
 mx.zohomail.com with SMTPS id 1587074018041705.3748941218179;
 Thu, 16 Apr 2020 14:53:38 -0700 (PDT)
User-agent: mu4e 1.2.0; emacs 26.3
From: Ricardo Wurmus <rekado@HIDDEN>
To: 15284-done <at> debbugs.gnu.org
Subject: wish: make the (name) field optional
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Thu, 16 Apr 2020 23:53:33 +0200
Message-ID: <878sivm71e.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 15284-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I agree with Ludo and Andreas that we better shouldn=E2=80=99t make the
name field optional.

That said, I just pushed a series of patches that happens to address
this wishlist item in a very roundabout way.  It is now possible to
build packages from JSON files like this:

--8<---------------cut here---------------start------------->8---
[
  {
    "name": "myhello",
    "version": "2.10",
    "source": "mirror://gnu/hello/hello-2.10.tar.gz",
    "build-system": "gnu",
    "arguments": {
      "tests?": false
    }
    "home-page": "https://www.gnu.org/software/hello/",
    "synopsis": "Hello, GNU world: An example GNU package",
    "description": "GNU Hello prints a greeting.",
    "license": "GPL-3.0+",
    "native-inputs": ["gettext"]
  },
  {
    "name": "greeter",
    "version": "1.0",
    "source": "https://example.com/greeter-1.0.tar.gz",
    "build-system": "gnu",
    "arguments": {
      "test-target": "foo",
      "parallel-build?": false,
    },
    "home-page": "https://example.com/",
    "synopsis": "Greeter using GNU Hello",
    "description": "This is a wrapper around GNU Hello.",
    "license": "GPL-3.0+",
    "inputs": ["myhello", "hello"]
  }
]
--8<---------------cut here---------------end--------------->8---

As you can see, there is no variable assignment, because this is JSON.
The =E2=80=9Cname=E2=80=9D field is the only identifier, and its value can =
be used as an
input in other packages (see the reference to =E2=80=9Cmyhello=E2=80=9D in =
the =E2=80=9Cgreeter=E2=80=9D
package definition).

It=E2=80=99s really only tangentially related to what this issue is about, =
but
it=E2=80=99s as close as we can get to duplication-free syntax =E2=80=94 ev=
en though
it=E2=80=99s JSON and not Scheme.  Look, there are also no labels for input=
s!
Because there are no custom phases either=E2=80=A6

--
Ricardo




Notification sent to arne_bab@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to Ricardo Wurmus <rekado@HIDDEN>:
You have taken responsibility. Full text available.
Severity set to 'wishlist' from 'normal' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 15284 <at> debbugs.gnu.org:


Received: (at 15284) by debbugs.gnu.org; 13 Sep 2013 23:00:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 13 19:00:16 2013
Received: from localhost ([127.0.0.1]:34924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VKcLW-0006Vn-Tf
	for submit <at> debbugs.gnu.org; Fri, 13 Sep 2013 19:00:15 -0400
Received: from mout.web.de ([212.227.15.3]:57332)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arne_bab@HIDDEN>) id 1VKcLT-0006Up-Dp
 for 15284 <at> debbugs.gnu.org; Fri, 13 Sep 2013 19:00:12 -0400
Received: from fluss.localnet ([212.255.235.232]) by smtp.web.de (mrweb001)
 with ESMTPSA (Nemesis) id 0MZleQ-1Vf24p00Q2-00LYvO for
 <15284 <at> debbugs.gnu.org>; Sat, 14 Sep 2013 01:00:05 +0200
From: Arne Babenhauserheide <arne_bab@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#15284: wish: make the (name) field optional
Date: Sat, 14 Sep 2013 01:00:03 +0200
Message-ID: <1942738.pvRsuMxUva@fluss>
User-Agent: KMail/4.11.1 (Linux/3.8.13-gentoo; KDE/4.11.1; x86_64; ; )
In-Reply-To: <87k3iu2lye.fsf@HIDDEN>
References: <8761ueqq09.wl%arne_bab@HIDDEN> <87k3iu2lye.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="nextPart2666339.UzJ6piid3m";
 micalg="pgp-sha256"; protocol="application/pgp-signature"
X-Provags-ID: V03:K0:QX1SvpSMwlXL0MbXUeY8Q7FVeeY7EZcwkqVnVwG7Qu143pJzUP5
 9RMKjO2GuamfGGZqEZS7kabAitYLVbedu7ULRkJ7uGFiwuScXgh6nJcXwgUEXUUOkNUY7DT
 k5nlXJ742LzF6rWIAcFSVSooFITLLOzOnJD0FpUsIrRvv8JYlq5pLGOzCli9OL7CfmiP2av
 6SSWaTKHJlbNG7lcCiQyA==
X-Spam-Score: -0.9 (/)
X-Debbugs-Envelope-To: 15284
Cc: 15284 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)


--nextPart2666339.UzJ6piid3m
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

Am Freitag, 6. September 2013, 14:06:49 schrieb Ludovic Court=C3=A8s:
> However, I prefer treating packages just like any other Scheme object=
,
> and to avoid introducing =E2=80=9Cmagic=E2=80=9D with macros like thi=
s.

I prefer not having to repeat stuff, and being able to do stuff like th=
is is one of the big advantages of scheme.

But to see whether it actually helps a lot, it would be necessary to kn=
ow how many packages will be available in multiple versions (so the pac=
kage name and the variable have to differ).

Best wishes,
Arne
--=20
Ein Mann wird auf der Stra=C3=9Fe mit einem Messer bedroht.=20
Zwei Polizisten sind sofort da und halten ein Transparent davor.=20

=09"Illegale Szene. Niemand darf das sehen."

Der Mann wird ausgeraubt, erstochen und verblutet,=20
denn die Polizisten haben beide H=C3=A4nde voll zu tun.=20

Willkommen in Deutschland. Zensur ist sch=C3=B6n.=20
      ( http://draketo.de/stichwort/zensur )


--nextPart2666339.UzJ6piid3m
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part.
Content-Transfer-Encoding: 7Bit

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.20 (GNU/Linux)

iJwEAAEIAAYFAlIzmPQACgkQ3M8NswvBBUhMGwP/S81/O5wiCgF1J7dCsamw41WP
fQnHfiS5kTRKIAjXlkMjg3T8Sgzhkcg3HEmCToXdIyJgD/Lrt7wnYn5JsoFAc26l
hoONj28NS1ZYXtN9u6BKWyXKFKns71vZmXQMlKay35HdQ9W17HVz1Geaxs7WUaRg
zXzDSgSyV9EXQrV+gZA=
=kBek
-----END PGP SIGNATURE-----

--nextPart2666339.UzJ6piid3m--





Information forwarded to bug-guix@HIDDEN:
bug#15284; Package guix. Full text available.

Message received at 15284 <at> debbugs.gnu.org:


Received: (at 15284) by debbugs.gnu.org; 7 Sep 2013 21:30:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 07 17:30:59 2013
Received: from localhost ([127.0.0.1]:47795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VIQ5q-0007Zy-GM
	for submit <at> debbugs.gnu.org; Sat, 07 Sep 2013 17:30:58 -0400
Received: from moutng.kundenserver.de ([212.227.126.187]:53126)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <andreas@HIDDEN>) id 1VIQ5o-0007Zi-JU
 for 15284 <at> debbugs.gnu.org; Sat, 07 Sep 2013 17:30:57 -0400
Received: from debian (aqu33-1-82-66-2-95.fbx.proxad.net [82.66.2.95])
 by mrelayeu.kundenserver.de (node=mrbap1) with ESMTP (Nemesis)
 id 0MELbk-1VBpSa2Tv6-00G3iG; Sat, 07 Sep 2013 23:30:49 +0200
Date: Sat, 7 Sep 2013 23:30:45 +0200
From: Andreas Enge <andreas@HIDDEN>
To: Ludovic =?iso-8859-15?Q?Court=E8s?= <ludo@HIDDEN>
Subject: Re: bug#15284: wish: make the (name) field optional
Message-ID: <20130907213045.GC27881@debian>
References: <8761ueqq09.wl%arne_bab@HIDDEN>
 <87k3iu2lye.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-15
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87k3iu2lye.fsf@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Provags-ID: V02:K0:moGR+VPR8nH5PduQDPPPq+dH9hYbf3tfOHxWkDEPOju
 LXP6M/E9P1fwhiCd0MOHcZ6/qGLJx+ie/wLEYAFYo7HUCgrHX5
 rIOdf8fezX0srQrPRog+iukAJdqJZ1nMnd5dHtrKzkm7h3ClTA
 +2yUzZLondYFo2tXd0BF5WZb/QAvT/jsCKtmcZvGElrCIJXkqP
 xmdSPtYlsNraoLGpUlluGuUr3MPdWtqg1qL1yxnpwFyGvwNBPl
 dPfd8iP31Kg5fvlh0VuKhXhm57zpc73OgjErC1WtD+++lzUXy9
 fQoidG1dlaUzjt+t31+w4w3cjeG1aXeq1on+oFbM/zC6SICCQ= =
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 15284
Cc: Arne Babenhauserheide <arne_bab@HIDDEN>, 15284 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

On Fri, Sep 06, 2013 at 02:06:49PM +0200, Ludovic Courts wrote:
> As discussed on IRC, the main issue is that package objects exist
> whether or not the exist a variable bound to them; and really there can
> be any number of variables whose value is a given package object.  IOW,
> there is no direct connection between the variable name and the package
> name.

This is what happens with the python package rewriting I just implemented:
Inputs are rewritten as packages inside a list, and are not associated
to a variable name.

Having a special syntax just for avoiding to write the package name a second
time is not really needed in my opinion.

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#15284; Package guix. Full text available.

Message received at 15284 <at> debbugs.gnu.org:


Received: (at 15284) by debbugs.gnu.org; 6 Sep 2013 12:06:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 06 08:06:56 2013
Received: from localhost ([127.0.0.1]:43465 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHuoR-0003WU-Ca
	for submit <at> debbugs.gnu.org; Fri, 06 Sep 2013 08:06:55 -0400
Received: from hera.aquilenet.fr ([141.255.128.1]:52164)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ludo@HIDDEN>) id 1VHuoO-0003WH-9G
 for 15284 <at> debbugs.gnu.org; Fri, 06 Sep 2013 08:06:53 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id ADD6C14E5;
 Fri,  6 Sep 2013 14:06:49 +0200 (CEST)
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id yF4FNX9gO6aX; Fri,  6 Sep 2013 14:06:49 +0200 (CEST)
Received: from pluto (unknown [193.50.110.150])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 748CD11CC;
 Fri,  6 Sep 2013 14:06:49 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Arne Babenhauserheide <arne_bab@HIDDEN>
Subject: Re: bug#15284: wish: make the (name) field optional
References: <8761ueqq09.wl%arne_bab@HIDDEN>
Date: Fri, 06 Sep 2013 14:06:49 +0200
In-Reply-To: <8761ueqq09.wl%arne_bab@HIDDEN> (Arne Babenhauserheide's message
 of "Fri, 06 Sep 2013 11:05:26 +0200")
Message-ID: <87k3iu2lye.fsf@HIDDEN>
User-Agent: Gnus/5.130007 (Ma Gnus v0.7) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 15284
Cc: 15284 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Arne Babenhauserheide <arne_bab@HIDDEN> skribis:

> Currently when defining a package, I have to write the name at least
> twice:
>
> (define-public NAME
>   (name "NAME"))
>
> This gives the flexibility to use different names for the visual
> output and the technical name. But for most packages it likely just
> adds useless duplication.
>
> So I think the (name) field should be optional, and if it is not
> present, the packages technical name should be used automatically.

As discussed on IRC, the main issue is that package objects exist
whether or not the exist a variable bound to them; and really there can
be any number of variables whose value is a given package object.  IOW,
there is no direct connection between the variable name and the package
name.

That said, for cases like the above, we could have:

  (define-syntax-rule (define-package package-name fields ...)
    (define-public package-name
      (package
        (name (symbol->string 'package-name))
        fields ...)))

However, I prefer treating packages just like any other Scheme object,
and to avoid introducing =E2=80=9Cmagic=E2=80=9D with macros like this.

WDYT?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#15284; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Sep 2013 09:06:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 06 05:06:08 2013
Received: from localhost ([127.0.0.1]:43037 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VHrzT-0006Kv-GZ
	for submit <at> debbugs.gnu.org; Fri, 06 Sep 2013 05:06:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58609)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arne_bab@HIDDEN>) id 1VHrzQ-0006K1-CV
 for submit <at> debbugs.gnu.org; Fri, 06 Sep 2013 05:06:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arne_bab@HIDDEN>) id 1VHrzB-0005KQ-Tk
 for submit <at> debbugs.gnu.org; Fri, 06 Sep 2013 05:05:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57499)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arne_bab@HIDDEN>) id 1VHrzB-0005KK-Mc
 for submit <at> debbugs.gnu.org; Fri, 06 Sep 2013 05:05:49 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60256)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arne_bab@HIDDEN>) id 1VHrz4-0005bG-81
 for bug-guix@HIDDEN; Fri, 06 Sep 2013 05:05:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arne_bab@HIDDEN>) id 1VHryw-0005Hs-IL
 for bug-guix@HIDDEN; Fri, 06 Sep 2013 05:05:42 -0400
Received: from mout.web.de ([212.227.15.4]:62628)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arne_bab@HIDDEN>) id 1VHryw-0005Hn-8V
 for bug-guix@HIDDEN; Fri, 06 Sep 2013 05:05:34 -0400
Received: from kaverne.draketo.de ([212.255.16.46]) by smtp.web.de (mrweb101)
 with ESMTPA (Nemesis) id 0LbaBL-1VgEJa1rOF-00lGBu for
 <bug-guix@HIDDEN>; Fri, 06 Sep 2013 11:05:33 +0200
Date: Fri, 06 Sep 2013 11:05:26 +0200
Message-ID: <8761ueqq09.wl%arne_bab@HIDDEN>
From: Arne Babenhauserheide <arne_bab@HIDDEN>
To: bug-guix@HIDDEN
Subject: wish: make the (name) field optional
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI/1.14.6 (Maruoka)
 FLIM/1.14.9 (=?UTF-8?B?R29qxY0=?=) APEL/10.8 Emacs/24.3
 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Provags-ID: V03:K0:SBM1b3j2bi/5UU9ooPDXgKouHw2X7ykY9bsFk2v/0J7rwz0EW4W
 GYcUUxVJoyE95iJe700uTordmJBTs05lGUDN2ywdnsiDtgS0MAHDLd0I3VNj07yxbG32shH
 pUFERvws5h0a+j1h01l9bb/nCx1Hrs9fSRUtTZdwIMIruDaLiWBwTt4EauaxZDh3Ydtu4Cg
 tDK3nOV79OvXuBXz11IyQ==
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: arne_bab@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.4 (---)

Hi Guix Hackers,

Currently when defining a package, I have to write the name at least
twice:

(define-public NAME
  (name "NAME"))

This gives the flexibility to use different names for the visual
output and the technical name. But for most packages it likely just
adds useless duplication.

So I think the (name) field should be optional, and if it is not
present, the packages technical name should be used automatically.

Best wishes,
Arne




Acknowledgement sent to arne_bab@HIDDEN:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#15284; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 4 Sep 2021 10:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.